Index: rmsdfun.f
===================================================================
--- rmsdfun.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ rmsdfun.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,35 +1,31 @@
-! **************************************************************
-!
-! This file contains the subroutines: rmsdfun,rmsdopt,fitmol,
-!                                     jacobi,rmsinit
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: rmsdfun,rmsdopt,fitmol,
+c                                     jacobi,rmsinit
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       real*8 function rmsdfun(nml,ir1,ir2,ixat,xrf,yrf,zrf,isl)
-!
-! --------------------------------------------------------------
-! Wrapping function for calculating rmsd
-!
-! LIMITATION: requires call of rmsinit BEFORE calling this function
-!
-! CALLS: rmsdopt
-!
-! ---------------------------------------------------------------
-!
+C
+C --------------------------------------------------------------
+c Wrapping function for calculating rmsd
+c
+c LIMITATION: requires call of rmsinit BEFORE calling this function
+c
+c CALLS: rmsdopt
+c
+c ---------------------------------------------------------------
+c
       include 'INCL.H'
       include 'INCP.H'
-!
-! Input
-      double precision xrf, yrf, zrf, rm, av1, av2, rssd
-
-      integer nml, ir1, ir2, ixat, isl
-
+c
+c Input
       dimension ixat(mxat),xrf(mxatp),yrf(mxatp),zrf(mxatp)
-! Local
+c Local
       dimension rm(3,3),av1(3),av2(3)
       call rmsdopt(nml,ir1,ir2,ixat,xrf,yrf,zrf,isl,rm,av1,av2,rssd)
@@ -41,40 +37,35 @@
       end
 
-!*******************************************************************
+c*******************************************************************
       subroutine rmsdopt(nml,ir1,ir2,ixat,xrf,yrf,zrf,isl,
-     &                   rm,av1,av2,rmsd)
-
-! ---------------------------------------------------------------
-! PURPOSE: root mean square deviation (rmsd) between current SMMP
-!          structure and reference atom coordinates 'x,y,zrf()'
-!          for range of SMMP residues [ir1,ir2] in molecule 'nml'
-!
-!          ixat(i) - points to the atom in ref. coords., which is
-!                    equivalent to atom i of SMMP structure
-!                    (=0 if no equivalent in ref. structure exists)
-!
-!          isl = 0  : select all heavy atoms
-!          isl = 1  : backbone atoms n,ca,c
-!          isl = 2  : only ca atoms
-!
-! CALLS:   fitmol [S.K.Kearsley, Acta Cryst. 1989, A45, 208-210]
-!
-!      NB  uncomment last lines in 'fitmol' to return coordinates
-!          in 'x2' after fitting the ref. str. onto SMMP structure
-! ----------------------------------------------------------------
+     #                   rm,av1,av2,rmsd)
+
+c ---------------------------------------------------------------
+c PURPOSE: root mean square deviation (rmsd) between current SMMP
+c          structure and reference atom coordinates 'x,y,zrf()'
+c          for range of SMMP residues [ir1,ir2] in molecule 'nml'
+c
+c          ixat(i) - points to the atom in ref. coords., which is
+c                    equivalent to atom i of SMMP structure
+c                    (=0 if no equivalent in ref. structure exists)
+c
+c          isl = 0  : select all heavy atoms
+c          isl = 1  : backbone atoms n,ca,c
+c          isl = 2  : only ca atoms
+c
+c CALLS:   fitmol [S.K.Kearsley, Acta Cryst. 1989, A45, 208-210]
+c
+c      NB  uncomment last lines in 'fitmol' to return coordinates
+c          in 'x2' after fitting the ref. str. onto SMMP structure 
+c ----------------------------------------------------------------
 
       include 'INCL.H'
       include 'INCP.H'
-      
-      double precision x1, x2, xrf, yrf, zrf, rm, av1, av2, rmsd
-
-      integer nml, nr, na, n, im, ir, ia, ir1, ir2, ix, ixat, isl
-
-
-!-------------------------------------------------------- input
+
+c-------------------------------------------------------- input
       dimension ixat(mxat),xrf(mxatp),yrf(mxatp),zrf(mxatp)
-!-------------------------------------------------------- output
+c-------------------------------------------------------- output
       dimension rm(3,3),av1(3),av2(3)
-!-------------------------------------------------------- local
+c-------------------------------------------------------- local
       dimension x1(3,mxat),x2(3,mxat)
       character*4 atnm
@@ -82,6 +73,5 @@
 
       if (nml.lt.1.or.nml.gt.ntlml) then
-        write (logString, *) ' rmsdopt>  Sorry, there is no molecule #',
-     &     nml
+        write(*,*) ' rmsdopt>  Sorry, there is no molecule #',nml
         stop
       endif
@@ -109,14 +99,14 @@
                 if ( isl.eq.0
 
-     &               .or.
-
-     &              (isl.eq.1.and.(index(atnm,'n   ').gt.0 .or.
-     &                             index(atnm,'ca  ').gt.0 .or.
-     &                             index(atnm,'c   ').gt.0 ))
-     &               .or.
-
-     &              (isl.eq.2.and.index(atnm,'ca  ').gt.0)
-
-     &          ) then
+     #               .or.
+
+     #              (isl.eq.1.and.(index(atnm,'n   ').gt.0 .or.
+     #                             index(atnm,'ca  ').gt.0 .or.
+     #                             index(atnm,'c   ').gt.0 ))
+     #               .or.
+
+     #              (isl.eq.2.and.index(atnm,'ca  ').gt.0)
+
+     #          ) then
 
                   n=n+1
@@ -138,5 +128,5 @@
 
       if (n.lt.3) then
-        write (logString, *) ' rmsdopt>  <3 atoms selected !'
+        write(*,*) ' rmsdopt>  <3 atoms selected !'
         stop
       endif
@@ -146,32 +136,27 @@
       return
       end
-! *********************************************
+c *********************************************
       subroutine fitmol(n,x1,x2, rm,a1,a2,rmsd)
-!      real*8 function fitmol(n,x1,x2)
-
-! .......................................................
-! PURPOSE: compute RMSD of n positions in x1(3,) & x2(3,)
-!          [S.K.Kearsley Acta Cryst. 1989,A45,208-210]
-!
-! CALLS: jacobi
-! .......................................................
-!f2py intent(out) rmsd
-
+c      real*8 function fitmol(n,x1,x2)
+
+c .......................................................
+c PURPOSE: compute RMSD of n positions in x1(3,) & x2(3,)
+c          [S.K.Kearsley Acta Cryst. 1989,A45,208-210]
+c
+c CALLS: jacobi
+c .......................................................
+cf2py intent(out) rmsd
+                    
       include 'INCL.H'
-!      implicit real*8 (a-h,o-z)
-!      implicit integer*4 (i-n)
-
-! ------------------------------------------- input/output
-      double precision dn, a1, a2, x1, x2, q, dm, dp, dxm, dym, dzm, dxp
-      double precision dyp, dzp, e, v, em, rmsd, rm
-
-      integer n, i, j, ndim4, im
-
+c      implicit real*8 (a-h,o-z)
+c      implicit integer*4 (i-n)
+ 
+c ------------------------------------------- input/output
       dimension x1(3,mxat),x2(3,mxat)
-! -------------------------------------------------- local
+c -------------------------------------------------- local
       dimension e(4),q(4,4),v(4,4),dm(3),dp(3),a1(3),a2(3),rm(3,3)
 
       dn=dble(n)
-! ------------------- average of coordinates
+c ------------------- average of coordinates
       do i=1,3
         a1(i) = 0.d0
@@ -184,5 +169,5 @@
         a2(i) = a2(i)/dn
       enddo
-! ------------------------- compile quaternion
+c ------------------------- compile quaternion
       do i=1,4
         do j=1,4
@@ -223,8 +208,8 @@
         enddo
       enddo
-! ------------------------------ eigenvalues & -vectors
+c ------------------------------ eigenvalues & -vectors
       ndim4=4
       call jacobi(q,ndim4,e,v)
-! --------------------------- lowest eigenvalue
+c --------------------------- lowest eigenvalue
       im=1
       em=e(1)
@@ -238,7 +223,7 @@
       rmsd = sqrt(em/dn)
 
-! ================= uncomment following lines to fit molecule 2 onto 1
-
-! ---------------------------------------------------rotation matrix
+c ================= uncomment following lines to fit molecule 2 onto 1
+
+c ---------------------------------------------------rotation matrix
       rm(1,1) = v(1,im)**2+v(2,im)**2-v(3,im)**2-v(4,im)**2
       rm(1,2) = 2.d0*( v(2,im)*v(3,im)-v(1,im)*v(4,im) )
@@ -251,47 +236,45 @@
       rm(3,3) = v(1,im)**2+v(4,im)**2-v(2,im)**2-v(3,im)**2
 
-!      do i=1,n
-!        do j=1,3
-!          dm(j) = x2(j,i) - a2(j)
-!        enddo
-!        do j=1,3
-!          dp(j) = a1(j)
-!          do k=1,3
-!            dp(j) = dp(j) + rm(j,k) * dm(k)
-!          enddo
-!          x2(j,i) = dp(j)
-!        enddo
-!      enddo
-
-!      fitmol=rmsd
+c      do i=1,n
+c        do j=1,3
+c          dm(j) = x2(j,i) - a2(j)
+c        enddo
+c        do j=1,3
+c          dp(j) = a1(j)
+c          do k=1,3
+c            dp(j) = dp(j) + rm(j,k) * dm(k)
+c          enddo
+c          x2(j,i) = dp(j)
+c        enddo
+c      enddo
+
+c      fitmol=rmsd
 
       return
       end
-! ******************************
+c ******************************
       subroutine jacobi(a,n,d,v)
 
-! ......................................................
-! PURPOSE: for given symmetric matrix 'a(n,n)
-!          compute eigenvalues 'd' & eigenvectors 'v(,)'
-!
-!  [W.H.Press,S.A.Teukolsky,W.T.Vetterling,
-!   B.P.Flannery, Numerical Recipes in FORTRAN,
-!   Cambridge Univ. Press, 2nd Ed. 1992, 456-462]
-!
-! CALLS: none
-!
-! ......................................................
-
-!f2py intent(out) d
-!f2py intent(out) v
-      integer nmax
-
+c ......................................................
+c PURPOSE: for given symmetric matrix 'a(n,n)
+c          compute eigenvalues 'd' & eigenvectors 'v(,)'
+c
+c  [W.H.Press,S.A.Teukolsky,W.T.Vetterling,
+c   B.P.Flannery, Numerical Recipes in FORTRAN,
+c   Cambridge Univ. Press, 2nd Ed. 1992, 456-462]
+c
+c CALLS: none
+c
+c ......................................................
+
+cf2py intent(out) d
+cf2py intent(out) v
       parameter (NMAX=500)
-
+      
       integer n,nrot,i,ip,iq,j
 
-      character(255) logString
+
       real*8 a(n,n),d(n),v(n,n),
-     &       c,g,h,s,sm,t,tau,theta,tresh,b(NMAX),z(NMAX),smeps
+     #       c,g,h,s,sm,t,tau,theta,tresh,b(NMAX),z(NMAX),smeps
 
       smeps=1.0d-6
@@ -335,5 +318,5 @@
             if((i.gt.4).and.(abs(d(ip))+
 
-     &g.eq.abs(d(ip))).and.(abs(d(iq))+g.eq.abs(d(iq))))then
+     #g.eq.abs(d(ip))).and.(abs(d(iq))+g.eq.abs(d(iq))))then
               a(ip,iq)=0.d0
 
@@ -404,5 +387,5 @@
       enddo
 
-      write (logString, *) ' jacobi> too many iterations'
+      write(*,*) ' jacobi> too many iterations'
       stop
 
@@ -410,28 +393,26 @@
       end
 
-! ***********************************************************
+c ***********************************************************
 
       subroutine rmsinit(nml,string)
-!
-!------------------------------------------------------------------------------
-! Reads in pdb-file 'string' into INCP.H and initalizes
-! the files that 'rmdsopt' needs to calculate the rmsd
-! of a configuration with the pdb-configuration
-!
-! CALLS: pdbread,atixpdb
-!
-! ----------------------------------------------------------------------------
-!
+c
+c------------------------------------------------------------------------------
+c Reads in pdb-file 'string' into INCP.H and initalizes 
+c the files that 'rmdsopt' needs to calculate the rmsd
+c of a configuration with the pdb-configuration
+C
+c CALLS: pdbread,atixpdb
+c
+c ----------------------------------------------------------------------------
+c
       include 'INCL.H'
       include 'INCP.H'
 
-      integer i, nml, ier
-
       character string*(*)
-
+ 
       if(string.eq.'smmp') then
-!
-! Compare with a smmp-structure
-!
+c
+c Compare with a smmp-structure
+c
         do i=iatrs1(irsml1(nml)),iatrs2(irsml2(nml))
          if(nmat(i)(1:1).ne.'h') then
@@ -441,13 +422,13 @@
          end if
         enddo
-!
+c
        else
-!
-! Reference structure is read in from pdb-file
-!
+c
+c Reference structure is read in from pdb-file
+c
          call pdbread(string,ier)
-         if(ier.ne.0) stop
+         if(ier.ne.0) stop 
          call atixpdb(nml)
-!
+c
       end if
       print *,'RMSD initialized with ',string
Index: setmvs.f
===================================================================
--- setmvs.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ setmvs.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,64 +1,56 @@
-!**************************************************************
-!
-! This file contains the subroutines: setmvs,fndbrn
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: setmvs,fndbrn
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine setmvs(nml)
 
-! ......................................................................
-! PURPOSE: 1. ORDER variables according to rules:
-!             variables with same base: 1st comes TORSION (can be only
-!               one with this base, since PHASE a. assumed to be FIXED),
-!               after this, for atoms branching from this base:
-!               for a b.angle & b.length with common primary moving
-!               atom=branch atom - b.angle comes 1st
-!
-!             iorvr(i), i=i_fivr_ml,i_lavr_ml -> indices of ordered var.
-!
-!          2. define NON-OVERLAPPING moving sets of atoms in molecule
-!             'nml' related to local variables
-!
-!             nmsml(i_ml) - number of moving sets per molecule
-!             imsvr1(i_vr),imsvr2() - indices of 1st/last m.s for var. 'i_vr'
-!                                     in 'latms1' & 'latms2'
-!             latms1(i_ms),latms2() - range of atoms of i-th m.s
-!
-!          3. define indices of next-following variables for each var.,
-!             which complete its physical moving set ('added' variables)
-!          
-!             nadml(i_ml) - number of 'added' var.s per molecule
-!             iadvr1(i_vr),iadvr2() - indices of 1st/last 'added' var. for
-!                                     var. 'i_vr' in 'ladvr'
-!             ladvr() - indices of 'added' variables
-!
-!          4. define index of corresponding variable for each atom
-!
-! ! routine must be called successively for molecules 1 -> ntlml
-!
-! CALLS: fndbrn, nursvr
-! ......................................................................
+c ......................................................................
+c PURPOSE: 1. ORDER variables according to rules:
+c             variables with same base: 1st comes TORSION (can be only
+c               one with this base, since PHASE a. assumed to be FIXED),
+c               after this, for atoms branching from this base:
+c               for a b.angle & b.length with common primary moving
+c               atom=branch atom - b.angle comes 1st
+c
+c             iorvr(i), i=i_fivr_ml,i_lavr_ml -> indices of ordered var.
+c
+c          2. define NON-OVERLAPPING moving sets of atoms in molecule
+c             'nml' related to local variables
+c
+c             nmsml(i_ml) - number of moving sets per molecule
+c             imsvr1(i_vr),imsvr2() - indices of 1st/last m.s for var. 'i_vr'
+c                                     in 'latms1' & 'latms2'
+c             latms1(i_ms),latms2() - range of atoms of i-th m.s
+c
+c          3. define indices of next-following variables for each var.,
+c             which complete its physical moving set ('added' variables)
+c          
+c             nadml(i_ml) - number of 'added' var.s per molecule
+c             iadvr1(i_vr),iadvr2() - indices of 1st/last 'added' var. for
+c                                     var. 'i_vr' in 'ladvr'
+c             ladvr() - indices of 'added' variables
+c
+c          4. define index of corresponding variable for each atom
+c
+c ! routine must be called successively for molecules 1 -> ntlml
+c
+c CALLS: fndbrn, nursvr
+c ......................................................................
 
       include 'INCL.H'
-!     ID of molecule
-      integer nml
-
-      integer nursvr
 
       logical bb
-      integer mxh, lvw1h, lvw2h, l1h, l2h
+
       parameter (mxh=10)
       dimension lvw1h(mxh),lvw2h(mxh),l1h(mxh),l2h(mxh)
 
-      integer ifivr, i, i1, ia, ib, ic, ifirs, ifiat, ko, ilaat, ii,
-     &        ilars, ilavr, io, ir, irg1, is, it, iv, j, k, j1, jns,
-     &        j2, j1s, ja, jb, jv, jo, l, i2, irg2, n, nad, nms,
-     &        ntlvr
 
       ntlvr=nvrml(nml)
@@ -77,14 +69,14 @@
 
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' setmvs> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' setmvs> No variables defined in molecule #',nml
         nmsml(nml)=0
         nadml(nml)=0
         return
       endif
-! _________________ Take index of primary atom for each variable 
-!                   (i.e. index of atom moved by variable) to
-!                   sort variables, handling variables with same base:
-!                   modify indices to obtain appropriate order
+c _________________ Take index of primary atom for each variable 
+c                   (i.e. index of atom moved by variable) to
+c                   sort variables, handling variables with same base:
+c                   modify indices to obtain appropriate order
 
       ifirs=irsml1(nml)
@@ -116,8 +108,8 @@
         enddo  ! ... Variables
       enddo  ! ... Residues
-! ___________________________________ Sort variables in ascending order
-!                        (i.e. from start of molecule/base of branches)
-! array 'iorvr' gives indices of (1st,2nd, ... ,n-th) variables;
-! as can be found in arrays for variables (example: ityvr(iorvr())
+c ___________________________________ Sort variables in ascending order
+c                        (i.e. from start of molecule/base of branches)
+c array 'iorvr' gives indices of (1st,2nd, ... ,n-th) variables;
+c as can be found in arrays for variables (example: ityvr(iorvr())
       k=ilavr
       l=ifivr+ntlvr/2
@@ -140,10 +132,5 @@
       j=l+l-ii
       do while (j.le.k)
-!         if (j.lt.k.and.iadvr1(iorvr(j)).lt.iadvr1(iorvr(j+1))) j=j+1
-        if (j.lt.k) then
-            if (iadvr1(iorvr(j)).lt.iadvr1(iorvr(j+1))) then
-                j = j + 1
-            end if
-        end if
+        if (j.lt.k.and.iadvr1(iorvr(j)).lt.iadvr1(iorvr(j+1))) j=j+1
         if (n.lt.iadvr1(iorvr(j))) then
           iorvr(i)=iorvr(j)
@@ -156,6 +143,6 @@
       iorvr(i)=io
       goto 1
-! ______________________________ Find non-overlapping ranges of atoms (moving
-!                                sets) for each variable
+c ______________________________ Find non-overlapping ranges of atoms (moving
+c                                sets) for each variable
    2  nms=imsml1(nml)-1
 
@@ -165,5 +152,5 @@
         ia=iatvr(iv)      ! primary mov. atom
         ib=iowat(ia)      ! base
-! __________________________ First, determine complete mov. set for 'iv'
+c __________________________ First, determine complete mov. set for 'iv'
         it=ityvr(iv)
         if (it.eq.3) then       ! torsion
@@ -176,8 +163,8 @@
               if (i1.ne.0) then  ! combine ranges
                 if (j.gt.(i2+1).or.k.lt.(i1-1)) then
-                  write (logString, '(3a,/,2a,i4,a,i3)') 
-     &             ' setmvs> Cannot combine disjunct ranges of atom',
-     &             ' indices for torsion ',nmvr(iv),' in residue ',
-     &             seq(ir),ir,' of molecule # ',nml
+                  write (*,'(3a,/,2a,i4,a,i3)') 
+     #             ' setmvs> Cannot combine disjunct ranges of atom',
+     #             ' indices for torsion ',nmvr(iv),' in residue ',
+     #             seq(ir),ir,' of molecule # ',nml
                   stop
                 else
@@ -198,6 +185,6 @@
 
         if ((nms+1).gt.mxms) then
-          write (logString, '(a,i4,a,i5)') ' setmvs> Molecule # ',nml,
-     &    ': Number of moving sets > ',mxms
+          write (*,'(a,i4,a,i5)') ' setmvs> Molecule # ',nml,
+     #    ': Number of moving sets > ',mxms
           stop
         endif
@@ -206,6 +193,6 @@
         imsvr2(iv)=nms+1  !        & last m.s for var. 'iv'
 
-! ______________ Next, exclude overlaps between mov. set for 'iv' and the
-!                m.s. for 'previous' variables by reducing/splitting those
+c ______________ Next, exclude overlaps between mov. set for 'iv' and the
+c                m.s. for 'previous' variables by reducing/splitting those
 
         do jo=ifivr,io-1  ! prev. variables ...
@@ -231,7 +218,6 @@
                   nms=nms+1
                   if (nms.gt.mxms) then
-                    write (logString, '(a,i4,a,i5)') 
-     &                ' setmvs> Molecule # ',
-     &               nml,': Number of moving sets > ',mxms
+                    write (*,'(a,i4,a,i5)') ' setmvs> Molecule # ',
+     #               nml,': Number of moving sets > ',mxms
                      stop
                   endif
@@ -273,5 +259,5 @@
 
         enddo  ! prev. variables
-! _______________________________ Finally, add moving set for 'iv'
+c _______________________________ Finally, add moving set for 'iv'
         nms=nms+1
         latms1(nms)=i1
@@ -279,5 +265,5 @@
       enddo  ! variables
       nmsml(nml)=nms-imsml1(nml)+1
-! _____________________________ Determine index of moving set for each atom
+c _____________________________ Determine index of moving set for each atom
       do ia=ifiat,ilaat
         ixmsat(ia)=0
@@ -288,7 +274,7 @@
         enddo
       enddo
-! _____________________________ Determine indices of variables which moving
-!                               set sets have to be added (=are related) to
-!                               those of a given variable
+c _____________________________ Determine indices of variables which moving
+c                               set sets have to be added (=are related) to
+c                               those of a given variable
 
       i=iorvr(ifivr)  ! initialize index of CURRENT var.
@@ -314,5 +300,5 @@
           jb=iowat(ja)       ! its base
 
-! _______________ current var. is torsion & shares base with var. 'j'
+c _______________ current var. is torsion & shares base with var. 'j'
           if (it.eq.3.and.jb.eq.ib) then
             do k=n,nad  !  ? has this branch been registered before ?
@@ -321,7 +307,6 @@
             nad=nad+1
             if (nad.gt.mxvr) then
-              write (logString, '(a,i4,a,i5)') ' setmvs> Molecule # ',
-     &                         nml,
-     &                         ': Number of added variables > ',mxvr
+              write (*,'(a,i4,a,i5)') ' setmvs> Molecule # ',nml,
+     #                         ': Number of added variables > ',mxvr
               stop
             endif
@@ -337,7 +322,6 @@
                 nad=nad+1
                 if (nad.gt.mxvr) then
-                  write (logString, '(a,i4,a,i5)') 
-     &                         ' setmvs> Molecule # ',nml,
-     &                         ': Number of added variables > ',mxvr
+                  write (*,'(a,i4,a,i5)') ' setmvs> Molecule # ',nml,
+     #                         ': Number of added variables > ',mxvr
                   stop
                 endif
@@ -352,7 +336,6 @@
               nad=nad+1
               if (nad.gt.mxvr) then
-                write (logString, '(a,i4,a,i5)') ' setmvs> Molecule # ',
-     &                       nml,
-     &                       ': Number of added variables > ',mxvr
+                write (*,'(a,i4,a,i5)') ' setmvs> Molecule # ',nml,
+     #                       ': Number of added variables > ',mxvr
                 stop
               endif
@@ -368,74 +351,69 @@
 
       nadml(nml)=nad-iadml1(nml)+1
-! _____________________________________ Summary
-!      do io=ilavr,ifivr,-1
-!        iv=iorvr(io)
-!        ib=iowat(iatvr(iv))
-!        i1s=imsvr1(iv)
-!        i2s=imsvr2(iv)
-!        if (i1s.le.i2s) then
-!          do i=i1s,i2s
-!            i1=latms1(i)
-!            i2=latms2(i)
-!            if (i.eq.i1s) then
-!              write (logString, '(a,i3,7a,i4,3a,i4,a)') 'res # ',nursvr(iv),
-!     #        ' var: ',nmvr(iv),' base:',nmat(ib),'    atoms= ',
-!     #        nmat(i1),'(',i1,') - ',nmat(i2),'(',i2,')'
-!            else
-!              write (logString, '(39x,2a,i4,3a,i4,a)')
-!     #        nmat(i1),'(',i1,') - ',nmat(i2),'(',i2,')'
-!            endif
-!          enddo
-!        else
-!          write (logString, '(a,i3,5a)') 'res # ',nursvr(iv),
-!     #    ' var: ',nmvr(iv),' base:',nmat(ib),'  No atoms'
-!        endif
-!        i1a=iadvr1(iv)
-!        i2a=iadvr2(iv)
-!        if (i1a.le.i2a) then
-!          write (logString, '(a,30(1x,a))') ' Depending variables:',
-!     #                    (nmvr(ladvr(i)),i=i1a,i2a)
-!        else
-!          write (logString, '(a)') ' No dep. variables'
-!        endif
-!      enddo
-! _____________________________________ Summary - End
+c _____________________________________ Summary
+c      do io=ilavr,ifivr,-1
+c        iv=iorvr(io)
+c        ib=iowat(iatvr(iv))
+c        i1s=imsvr1(iv)
+c        i2s=imsvr2(iv)
+c        if (i1s.le.i2s) then
+c          do i=i1s,i2s
+c            i1=latms1(i)
+c            i2=latms2(i)
+c            if (i.eq.i1s) then
+c              write (*,'(a,i3,7a,i4,3a,i4,a)') 'res # ',nursvr(iv),
+c     #        ' var: ',nmvr(iv),' base:',nmat(ib),'    atoms= ',
+c     #        nmat(i1),'(',i1,') - ',nmat(i2),'(',i2,')'
+c            else
+c              write (*,'(39x,2a,i4,3a,i4,a)')
+c     #        nmat(i1),'(',i1,') - ',nmat(i2),'(',i2,')'
+c            endif
+c          enddo
+c        else
+c          write (*,'(a,i3,5a)') 'res # ',nursvr(iv),
+c     #    ' var: ',nmvr(iv),' base:',nmat(ib),'  No atoms'
+c        endif
+c        i1a=iadvr1(iv)
+c        i2a=iadvr2(iv)
+c        if (i1a.le.i2a) then
+c          write (*,'(a,30(1x,a))') ' Depending variables:',
+c     #                    (nmvr(ladvr(i)),i=i1a,i2a)
+c        else
+c          write (*,'(a)') ' No dep. variables'
+c        endif
+c      enddo
+c _____________________________________ Summary - End
  
       return
 
-    6 write (logString, '(a,i4,/,2(a,i5),a)') 
-     & ' setmvs> Error in atom numbering of molecule # ',nml,
-     & ': atom ranges for variables # ',iv,' and # ',jv,
-     & ' overlap only PARTLY'
+    6 write (*,'(a,i4,/,2(a,i5),a)') 
+     # ' setmvs> Error in atom numbering of molecule # ',nml,
+     # ': atom ranges for variables # ',iv,' and # ',jv,
+     # ' overlap only PARTLY'
       stop
 
       end
-! *******************************************************
+c *******************************************************
       subroutine fndbrn(nml,nrs,ifirg,ilarg,irg1,irg2,bb)
 
-! .........................................................
-! PURPOSE: determine range [ifirg,ilarg] of atom indices
-!          for branch starting from atom 'ifirg' of residue
-!          'nrs' in molecule 'nml'
-! OUTPUT:  BB          - .t. if 'ifirg' is a backbone atom
-!          IRG1 & IRG2 - atom indices of ring-closing bond,
-!                        if 'ifirg' is INSIDE a ring, but NOT
-!                        its 1st atom ( in 'multiple' rings
-!                        only LAST closing bond is given !)
-!
-! CALLS: none
-!
-! .........................................................
+c .........................................................
+c PURPOSE: determine range [ifirg,ilarg] of atom indices
+c          for branch starting from atom 'ifirg' of residue
+c          'nrs' in molecule 'nml'
+c OUTPUT:  BB          - .t. if 'ifirg' is a backbone atom
+c          IRG1 & IRG2 - atom indices of ring-closing bond,
+c                        if 'ifirg' is INSIDE a ring, but NOT
+c                        its 1st atom ( in 'multiple' rings
+c                        only LAST closing bond is given !)
+c
+c CALLS: none
+c
+c .........................................................
 
       include 'INCL.H'
 
-      integer nml, nrs, ifirg, ilarg, irg1, irg2
-                  
       logical bb
-      integer ibd
       dimension ibd(4)
 
-      integer i, ib, ila, ifi, il, ixt, k, j, jb            
-                  
       ilarg=ifirg
 
Index: setvar.f
===================================================================
--- setvar.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ setvar.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,37 +1,28 @@
-!**************************************************************
-!
-! This file contains the subroutines: setvar
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: setvar
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       
       subroutine setvar(nml,vlvrx)
 
-! ..............................................................
-! PURPOSE: Reset variables in molecule 'nml' to new values given
-!          in 'vlvrx' and rebuild molecule
-!          
-! ! assure constant PHASE angles for branches from same atom
-!
-! CALLS: bldmol,difang
-! ....................................................
+c ..............................................................
+c PURPOSE: Reset variables in molecule 'nml' to new values given
+c          in 'vlvrx' and rebuild molecule
+c          
+c ! assure constant PHASE angles for branches from same atom
+c
+c CALLS: bldmol,difang
+c ....................................................
 
       include 'INCL.H'
-Cf2py intent(in) nml, vlvrx
-      integer nml
-      double precision vlvrx
+
       dimension vlvrx(mxvr)
-      
-!     functions
-      double precision difang
-
-      integer i, iat,ity, iow, j, jat, i1vr
-      double precision ba, to, tsh
-      
 
       i1vr=ivrml1(nml)
